dpkg-name(1)

NOME
dpkg-name - rinomina i pacchetti Debian in nomi completi di pacchetto

SINTASSI
dpkg-name [opzione...] [--] file...

DESCRIZIONE

Questa pagina di manuale documenta il programma dpkg-name, che fornisce un modo facile per rinominare i pacchetti Debian nei loro nomi di pacchetto completi. Un nome di pacchetto completo ha la forma pacchetto_versione_architettura.tipo-pacchetto, così come specificato nel file control del pacchetto. La parte versione del nome del file è formata dall'informazione sulla versione originale del software seguita facoltativamente da un trattino e dalle informazioni sulla revisione. La parte tipo-pacchetto viene presa dal campo «package-type» se esiste, altrimenti viene usato il valore predefinito deb.

OPZIONI

-a, --no-architecture
    Il nome del file di destinazione non conterrà le informazioni sull'architettura.

-k, --symlink
    Crea un collegamento simbolico, invece di spostare.

-o, --overwrite
    I file esistenti verranno sovrascritti se hanno lo stesso nome del file di destinazione.

-s, --subdir [dir]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be «unstable/binary-architecture/section». If the section is not found in the control, then no-section is assumed, and in this case, as well as for sections non-free and contrib the target directory is «section/binary-architecture». The section field is not required so a lot of packages will find their way to the no-section area. Use this option with care, it's messy.

-c, --create-dir
    Questa opzione può essere usata insieme all'opzione -s. Se non viene trovata una directory target, verrà creata automaticamente. Usare questa opzione con cautela.

-?, --help
    Mostra il messaggio sull'uso ed esce.

-v, --version
    Mostra la versione ed esce.

BUG
Alcuni pacchetti non seguono la struttura dei nomi pacchetto_versione_architettura.deb. I pacchetti rinominati con dpkg-name seguiranno questa struttura. Generalmente ciò non ha effetto su come i pacchetti vengono installati da dselect(1) o dpkg(1), ma altri strumenti di installazione possono fare affidamento su questa struttura dei nomi.

ESEMPI

dpkg-name pinco-pallo.deb
    The file bar-foo.deb will be renamed to bar-foo_1.0-2_i386.deb or something similar (depending on whatever information is in the control part of bar-foo.deb).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    All files with the extension deb in the directory /root/debian and its subdirectory's will be renamed by dpkg-name if required into names with no architecture information.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Non usarlo. Se lo si fa, il proprio archivio verrà completamente stravolto perché molti pacchetti vengono forniti senza l'informazione sulla sezione. Non usarlo.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Questo può essere usato quando si creano nuovi pacchetti.

VEDERE ANCHE
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).